import Component  from '../component.js'

export default class CoUxTreeList extends Component {
    constructor(parent) {
      let selector = 'div[@data-e2e = "ux-tree-list"]';
      super(parent, selector);
    }
    get toolbarFilterCO() {
	  let path = '/ancestor::ux-tree-list[1]';
      return new CoUxAtoolbarFilter(this.currentPath + path);
    }
    get uxTreeListContent() {
      return this.currentPath;
    }
}


